Package de.geolykt.starloader.util

# Class MirroringURIMavenRepository

java.lang.Object
de.geolykt.starloader.util.MirroringURIMavenRepository

All Implemented Interfaces:
  `org.stianloader.picoresolve.repo.MavenRepository`

public class MirroringURIMavenRepository extends Object implements org.stianloader.picoresolve.repo.MavenRepository

## Constructor Summary

Constructors
Constructor
Description
`MirroringURIMavenRepository(@NotNull String id, @NotNull URI base, @Nullable Path mirrorOut)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPlaintextURL()`
`@NotNull String`
`getRepositoryId()`
`@NotNull CompletableFuture<org.stianloader.picoresolve.repo.RepositoryAttachedValue<byte[]>>`
`getResource(@NotNull String path, @NotNull Executor executor)`
`protected byte @NotNull []`
`getResource0(@NotNull String path)`
`long`
`getUpdateIntervall()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MirroringURIMavenRepository

public MirroringURIMavenRepository(@NotNull @NotNull String id, @NotNull @NotNull URI base, @Nullable @Nullable Path mirrorOut)

## Method Details

### getPlaintextURL

@NotNull @Contract(pure=true) public @NotNull String getPlaintextURL()

Specified by:
  `getPlaintextURL` in interface `org.stianloader.picoresolve.repo.MavenRepository`

### getRepositoryId

@NotNull @Contract(pure=true) public @NotNull String getRepositoryId()

Specified by:
  `getRepositoryId` in interface `org.stianloader.picoresolve.repo.MavenRepository`

### getResource

@NotNull public @NotNull CompletableFuture<org.stianloader.picoresolve.repo.RepositoryAttachedValue<byte[]>> getResource(@NotNull @NotNull String path, @NotNull @NotNull Executor executor)

Specified by:
  `getResource` in interface `org.stianloader.picoresolve.repo.MavenRepository`

### getResource0

protected byte @NotNull [] getResource0(@NotNull @NotNull String path) throws Exception

Throws:
  `Exception`

### getUpdateIntervall

@Contract(pure=true) public long getUpdateIntervall()

Specified by:
  `getUpdateIntervall` in interface `org.stianloader.picoresolve.repo.MavenRepository`